felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stuart McCulloch (JIRA)" <j...@apache.org>
Subject [jira] Commented: (FELIX-486) Felix release conting mixed bytecode: 1.3 and 1.4, we should compile all as 1.3
Date Sat, 16 Feb 2008 02:42:07 GMT

    [ https://issues.apache.org/jira/browse/FELIX-486?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12569500#action_12569500

Stuart McCulloch commented on FELIX-486:

IMHO what we need to do is release the following sub-projects, as
they will now get the right bytecode level from the 1.0.2 parent pom:

   shell-1.0.1                    (update dependency to org.osgi.core-1.0.1 when it's released)
   shell.tui-1.0.1               (update dependencies to org.osgi.core-1.0.1 and shell-1.0.1)

we might want to release org.osgi.compendium-1.0.1 at the same time?

we can then update the framework and main projects to use the released
1.0.1 artifacts and do a 1.0.4 release of them (there's several references in
main to the 1.0.0 artifacts that will need updating, plus the configuration file)

so there's not really one patch to apply - just the usual release process
followed by updating of various poms to use the newly released artifacts

(correct me if I'm wrong)

> Felix release conting mixed bytecode: 1.3 and 1.4, we should compile all as 1.3
> -------------------------------------------------------------------------------
>                 Key: FELIX-486
>                 URL: https://issues.apache.org/jira/browse/FELIX-486
>             Project: Felix
>          Issue Type: Improvement
>    Affects Versions: 1.0.1, 1.0.2, 1.0.3
>            Reporter: Stefano Lenzi
>            Priority: Minor
>         Attachments: bytecode.jre13.r620538.patch, bytecode.jre13.r620865.patch, bytecode.jre13.vs.SNAPSHOT.r620865.patch,
> I found out that the following released project:
>  - shell-1.0.0
>  - javax.servlet-1.0.0
>  - org.osgi.core-1.0.0
>  - shell.tui-1.0.0
> which are used by the felix-1.0.3 release are compiled for JRE 1.4, so we ended up with
a felix released which is partially compiled for JRE 1.4 and for JRE 1.3.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message